Operational APIs
Policies
This section details all the endpoints needed to view the individual policies of your customers. You can query active policyholders on your integration.
View Policies
Use the following endpoint to list all the policies on your integration.
Fetch All Policies Under Your Business
GET
https://v2.api.mycover.ai/v2/policiesQuery Parameters
| Name | Type | Description |
|---|---|---|
| page | number | Page number of response |
| limit | number | Number of data per page |
| is_active | boolean | Filter policies by active status |
| search | string | Filter policies by search query |
| product_id | string | Filter policies by product id |
| activated_at_start | string | Filter policies by activation start date |
| activated_at_end | string | Filter policies by activation end date |
| expired_at_start | string | Filter policies by expired at start date |
| expired_at_end | string | Filter policies by expired at end date |
Response
200 OK
{
"responseCode": 1,
"responseText": "Policies fetched successfully",
"data": {
"total_result": 86,
"policies": [
{
"id": "9cdf65f6-f982-4f8c-a17a-923bfa20b05f",
"app_mode": "test",
"first_name": "Dekunle",
"last_name": "Gold",
"email": "[email protected]",
"phone_number": "2349081408793",
"date_of_birth": "1999-01-20T16:31:00.000Z",
"activation_date": "2025-10-28T16:32:55.053Z",
"start_date": "2025-10-28T16:32:55.053Z",
"expiration_date": "2026-10-28T00:00:00.000Z",
"amount": "60000.0000",
"is_active": true,
"is_submitted_to_provider": true,
"customer_id": "8afbc691-0ad8-4a07-af22-3a99df457c3b",
"insured_id": "edd1a9a4-6396-40ea-b8da-13bc333c7195",
"insured_policy_relationship": "covered_person",
"insured_type": "dependant",
"distributor_id": "dff30873-0ac9-49ff-b05a-ef4901734a2c",
"provider_id": "f029cc0c-9eb8-41b3-82b1-a9cc26fde03f",
"product_id": "eec0711c-1e4a-453b-a26c-2726e0a1a7cc",
"product_category_id": "1e87194d-5eb1-48b6-8837-a9cbc78d4ec3",
"country_id": "bb67ae67-53d1-4810-be05-33043115399c",
"currency_id": "6b3147f9-aa5b-4fd9-934d-ee5a179db989",
"purchase_id": "c081655f-a863-4db7-ab23-fc453af8479c",
"policy_number": "ACC/AR/10/2025/HQ/5800",
"certificate_url": "https://ss.mycover.ai/#QVCgODCCQe",
"meta": {
"policy_number": "ACC/AR/10/2025/HQ/5800"
},
"created_at": "2025-10-28T16:32:55.054Z",
"updated_at": "2025-10-28T16:32:58.420Z",
"provider": {
"id": "f029cc0c-9eb8-41b3-82b1-a9cc26fde03f",
"organization_name": "Sovereign Trust"
},
"distributor": {
"id": "dff30873-0ac9-49ff-b05a-ef4901734a2c",
"organization_name": "ebuttemetta ogechi doinz"
},
"product": {
"id": "eec0711c-1e4a-453b-a26c-2726e0a1a7cc",
"name": "Gadget Cover",
}
}
]
}
Get One Policy Details by ID
GET
https://v2.api.mycover.ai/v2/policies/:policyIdResponse
200 OK
{
"responseCode": 1,
"responseText": "Policy retrieved successfully",
"data": {
"id": "9cdf65f6-f982-4f8c-a17a-923bfa20b05f",
"app_mode": "test",
"first_name": "Dekunle",
"last_name": "Gold",
"email": "[email protected]",
"phone_number": "2349081408793",
"date_of_birth": "1999-01-20T16:31:00.000Z",
"activation_date": "2025-10-28T16:32:55.053Z",
"start_date": "2025-10-28T16:32:55.053Z",
"expiration_date": "2026-10-28T00:00:00.000Z",
"amount": "60000.0000",
"is_active": true,
"is_submitted_to_provider": true,
"customer_id": "8afbc691-0ad8-4a07-af22-3a99df457c3b",
"insured_id": "edd1a9a4-6396-40ea-b8da-13bc333c7195",
"insured_policy_relationship": "covered_person",
"insured_type": "dependant",
"distributor_id": "dff30873-0ac9-49ff-b05a-ef4901734a2c",
"provider_id": "f029cc0c-9eb8-41b3-82b1-a9cc26fde03f",
"product_id": "eec0711c-1e4a-453b-a26c-2726e0a1a7cc",
"product_category_id": "1e87194d-5eb1-48b6-8837-a9cbc78d4ec3",
"country_id": "bb67ae67-53d1-4810-be05-33043115399c",
"currency_id": "6b3147f9-aa5b-4fd9-934d-ee5a179db989",
"purchase_id": "c081655f-a863-4db7-ab23-fc453af8479c",
"policy_number": "ACC/AR/10/2025/HQ/5800",
"certificate_url": "https://ss.mycover.ai/#QVCgODCCQe",
"meta": {
"policy_number": "ACC/AR/10/2025/HQ/5800"
},
"created_at": "2025-10-28T16:32:55.054Z",
"updated_at": "2025-10-28T16:32:58.420Z",
"provider": {
"id": "f029cc0c-9eb8-41b3-82b1-a9cc26fde03f",
"organization_name": "Sovereign Trust"
},
"distributor": {
"id": "dff30873-0ac9-49ff-b05a-ef4901734a2c",
"organization_name": "ebuttemetta ogechi doinz"
},
"product": {
"id": "eec0711c-1e4a-453b-a26c-2726e0a1a7cc",
"name": "Gadget Cover",
}
}